# NV::Rules::IController Class Reference
[NvRules Tool lifetime-managed classes.]

Controller interface. More...

## Public Member Functions
virtual void | propose_rule (const char *rule)=0

## Detailed Description

The controller can be used to interact with the tool runtime, e.g. to signal the tools to propose a follow-up rule.

## Member Function Documentation

virtual void NV::Rules::IController::propose_rule | ( | const char * | rule | ) | `[pure virtual]`

Propose the specified `rule` in the current context